> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monxa.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Channels (Self)

> Retrieve all available currencies.



## OpenAPI

````yaml api-reference/openapi.json get /v1/merchants/me/channels
openapi: 3.0.1
info:
  title: Monxa API
  description: ''
  version: 1.0.0
servers: []
security:
  - Bearer: []
tags:
  - name: balances
  - name: customers
  - name: merchants
  - name: charges
  - name: payouts
paths:
  /v1/merchants/me/channels:
    get:
      tags:
        - merchants
      summary: Get Payment Channels (Self)
      description: Retrieve all available currencies.
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChannelDto'
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          headers: {}
        '401':
          description: Unauthorized
          headers: {}
        '403':
          description: Forbidden
          headers: {}
        '404':
          description: Not Found
          headers: {}
        '409':
          description: Conflict
          headers: {}
        '429':
          description: Too Many Requests
          headers: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          headers: {}
      deprecated: false
      security:
        - Bearer: []
components:
  schemas:
    ChannelDto:
      required:
        - country
        - currency
        - name
        - settlement
        - last_modified_by
      type: object
      properties:
        country:
          type: string
        currency:
          type: string
        name:
          type: string
        code:
          $ref: '#/components/schemas/ChannelCodes'
        max_amount:
          type: number
          format: double
          nullable: true
        min_amount:
          type: number
          format: double
        settlement:
          type: string
        last_modified_by:
          type: string
        last_modified_on:
          type: string
          format: date-time
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    ChannelCodes:
      type: string
      enum:
        - qr_qris
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````